@import '_content/VTWebCore/VTWebCore.f2sqw9cqgr.bundle.scp.css';

/* /Components/Pages/Home.razor.rz.scp.css */
/* CSS for Home component */

.home-welcome-text[b-crnhj6e4b7] {
    text-align: center;
    font-size: 1.5em;
    padding-bottom: 20px;
}

.home-page-text[b-crnhj6e4b7] {
    text-align: center;
    padding-bottom: 20px;
}

.home-img-div[b-crnhj6e4b7] {
    text-align: center;
    padding-bottom: 20px;
}

.home-img[b-crnhj6e4b7] {
    border-style: solid;
    border-width: 1px;
    border-color: var(--hokie-stone-color);
}

.home-page-message[b-crnhj6e4b7] {
    text-align: center;
    color: red;
    font-weight: bold;
    padding-bottom: 20px;
}

.home-login-div[b-crnhj6e4b7] {
    display: grid;
    place-items: center;
    padding-bottom: 20px;
}

.home-login-text[b-crnhj6e4b7] {
    background-color: var(--light-gray-color);
    border-style: solid;
    border-width: 3px;
    border-color: var(--hokie-stone-color);
    border-radius: 4px;
    padding: 20px;
    text-align: center;
    font-weight: bold;
    font-size: 1.4em;
    width: 200px;
}

@media screen and (max-width: 601px) {
    #ab1ImageDiv[b-crnhj6e4b7] {
        display: none;
    }
}
/* /Components/Pages/Schedule.razor.rz.scp.css */
/* CSS for Schedule component */

#schedule-content[b-15cxt659qn] {
    position: relative; /* Establishes the coordinate system for the child */
}

.schedule-controls-box[b-15cxt659qn] {
    background-color: var(--light-gray-color);
    border-style: solid;
    border-color: var(--hokie-stone-color);
    border-width: 2px;
    border-radius: 3px;
    padding: 10px;
    margin-bottom: 20px;
}

.schedule-control-label[b-15cxt659qn] {
    font-weight: bold;
    min-width: 100px;
}

.schedule-control-col[b-15cxt659qn] {
    padding-left: 0px;
    padding-bottom: 5px;

    /*border-style: solid;
    border-color: #000000;
    border-width: 1px;*/
}

.schedule-instructions[b-15cxt659qn] {
    color: red;
    font-weight: bold;
    font-style: italic;
}

.schedule-selected-space[b-15cxt659qn] {
    font-weight: bold;
    font-size: 1.3em;
    text-align: center;
}

.schedule-no-events[b-15cxt659qn] {
    font-weight: bold;
    font-style: italic;
    text-align: center;
    padding-top: 20px;
}

.schedule-loading[b-15cxt659qn] {
    position: absolute; /* Pulls the child out of the normal document flow */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    border-style: solid;
    border-color: var(--hokie-stone-color);
    border-width: 1px;
    border-radius: 3px;
    padding-top: 20px;
    /* Syntax: rgb(red green blue / opacity) */
    background-color: rgb(0 0 0 / 50%); /* 50% opaque black */
    color: #ffffff; /* Text remains 100% visible */
}

@media screen and (max-width: 950px) {
    #scheduleExportFiller[b-15cxt659qn] {
        display: none;
    }
}
/* /Components/Page_Components/ScheduleCalendarLarge.razor.rz.scp.css */
/* CSS for ScheduleCalendarLarge component */
.schedule-calendar-large-container[b-t2grhjq5l5] {
    margin-top: 10px;
}

.calendar-grid[b-t2grhjq5l5] {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 5px;
}

.day-name[b-t2grhjq5l5] {
    padding: 5px;
    border: 1px solid #ddd;
    background-color: var(--hokie-teal-color);
    color: white;
    text-align: center;
    font-weight: bold;
}

.calendar-cell[b-t2grhjq5l5] {
    padding: 5px;
    border: 1px solid #ddd;
}

.calendar-cell.today[b-t2grhjq5l5] {
    background-color: var(--light-gray-color);
}

@media screen and (max-width: 950px) {
    .schedule-calendar-large-container[b-t2grhjq5l5] {
        display: none;
    }
}
/* /Components/Page_Components/ScheduleCalendarLargeDay.razor.rz.scp.css */
/* CSS for ScheduleCalendarLargeDay component */

.schedule-large-calendar-day[b-qexlzchfef] {
    text-align: center;
    font-weight: bold;
    margin-bottom: 5px;
}

.schedule-large-calendar-day-no-events[b-qexlzchfef] {
    color: var(--hokie-stone-color);
    font-size: .8em;
    padding-bottom: 20px;
}

.schedule-large-calendar-day-event-separator[b-qexlzchfef] {
    color: var(--hokie-stone-color);
    text-align: center;
}
/* /Components/Page_Components/ScheduleCalendarSmall.razor.rz.scp.css */
/* CSS for ScheduleCalendarSmall component */

.schedule-calendar-small-container[b-d5b209mtls] {
    display: none;
    margin-top: 10px;
}

.schedule-small-calendar-date[b-d5b209mtls] {
    padding: 5px;
    border: 1px solid #ddd;
    background-color: var(--hokie-teal-color);
    color: white;
    text-align: center;
    font-weight: bold;
}

@media screen and (max-width: 950px) {
    .schedule-calendar-small-container[b-d5b209mtls] {
        display: block;
    }
}
/* /Components/Page_Components/ScheduleCalendarSmallDay.razor.rz.scp.css */
/* CSS for ScheduleCalendarSmallDay component */

.schedule-small-calendar-day-event[b-0ta8t3l3gx] {
    font-size: .85em;
}

.schedule-small-calendar-day-event-separator[b-0ta8t3l3gx] {
    color: var(--hokie-stone-color);
    text-align: center;
}

.schedule-small-calendar-day-no-events[b-0ta8t3l3gx] {
    color: var(--hokie-stone-color);
    font-size: .8em;
    padding-top: 10px;
    padding-bottom: 10px;
}
/* /Components/Page_Components/ScheduleDailyTable.razor.rz.scp.css */
/* CSS for ScheduleDailyTable component */
.schedule-daily-container[b-hw3iwc567p] {
    display: flex;
    justify-content: center; /* Centers horizontally */
    align-items: center; /* Centers vertically */
    margin-top: 20px;
}

.schedule-daily-table[b-hw3iwc567p] {
    border-style: solid;
    border-color: #000000;
    border-width: 1px 0 0 1px;
    width: 600px;
}

.schedule-daily-table-header[b-hw3iwc567p] {
    border-style: solid;
    border-color: #000000;
    /* Top: | Right: | Bottom:  | Left: */
    border-width: 0 1px 1px 0;
    background-color: var(--hokie-teal-color);
    font-weight: bold;
    color: #FFFFFF;
    text-align: center;
}

.schedule-daily-table-item[b-hw3iwc567p] {
    border-style: solid;
    border-color: #000000;
    border-width: 0 1px 1px 0;
}

@media screen and (max-width: 850px) {
    .schedule-daily-table[b-hw3iwc567p] {
        width: 100%;
    }
}
/* /Components/Page_Components/ScheduleEventInfo.razor.rz.scp.css */
/* CSS for ScheduleEventInfo component */

.schedule-event-info[b-0l41d6aub2] {
    font-size: .85em;
}
